Abrir sesión
logo

DEFENSA FRONTE ÁS CIBERAMEAZAS

barra-separadora

Soporte de vulnerabilidades

Servicio de soporte de vulnerabilidadesAnálisis, notificación y seguimiento de aquellas vulnerabilidades más críticas, que impactan especialmente en las tecnologías empleadas en el sector público. El CCN-CERT trabajará en la recopilación y clasificación de las nuevas vulnerabilidades, realizando un análisis teórico y en laboratorio, cuando sea posible, de aquellas que por su criticidad lo requieran.

Se generarán documentos informativos o “abstracts” de dichas vulnerabilidades y se llevará a cabo un seguimiento de la evolución de la vulnerabilidad en Internet, alertando a los organismos ante cambios en la criticidad, aparición de parches, nuevas recomendaciones, constancia de explotaciones activas, etc.

Para inscribirse en este servicio o recibir más información, escribir al correo electrónico: soporte_acreditacion@ccn.cni.es

Abstracts:


Vulnerability Bulletins


Escalada de privilegios en Linux mediante slocate

Vulnerability classification

Property Value
Confidence level Oficial
Impact Aumento de privilegios
Dificulty Experto
Required attacker level Acceso remoto con cuenta

System information

Property Value
Affected manufacturer GNU/Linux
Affected software Debian GNU/Linux 3.0

Description

Se ha descubierto una vulnerabilidad en el programa slocate, usado para indexar y buscar ficheros, donde una base de datos especialmente diseñada puede provocar un desbordamiento de búfer.
Esta vulnerabilidad puede ser explotada por un atacante local para ganar privilegios del grupo "slocate" y tener acceso a la base de datos global que contiene la lista de la rutas de todos los archivos del sistema, incluyendo aquellos que sólo son visibles por usuarios privilegiados.

Este problema y otros de categorías similares, han sido solucionados cortando los privilegios de slocate antes leer la base de datos

Solution

Si lo desea, aplique los mecanismos de actualización propios de su distribución, o bien baje las fuentes del software y compílelo usted mismo.


Actualización de software

Debian GNU/Linux 3.0 (woody)
Source:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2.dsc
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2.diff.gz
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/s/slocate/slocate_2.6-1.3.2_sparc.deb

Standar resources

Property Value
CVE CAN-2003-0848
BID NULL

Other resources

Debian Security Advisory DSA-428-1
http://www.debian.org/security/2004/dsa-428

Version history

Version Comments Date
1.0 Aviso emitido 2004-01-21
Volver

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración